ZSTREAM(8)

NAME
zstream - manipulate ZFS send streams

SYNOPSIS
zstream dump [-Cvd] [file]
zstream redup [-v] file
zstream token resume_token

DESCRIPTION
The zstream utility manipulates ZFS send streams output by the zfs send command.

    zstream dump [-Cvd] [file] Print information about the specified send stream, including headers and record counts. The send stream may either be in the specified file, or provided on standard input.

    -C  Suppress the validation of checksums.

    -v  Verbose. Print metadata for each record.

    -d  Dump data contained in each record. Implies verbose.

    The zstreamdump alias is provided for compatibility and is equivalent to running zstream dump.

    zstream token resume_token Dumps zfs resume token information

    zstream redup [-v] file Deduplicated send streams can be generated by using the zfs send -D command. The ability to send deduplicated send streams is deprecated. In the future, the ability to receive a deduplicated send stream with zfs receive will be removed. However, deduplicated send streams can still be received by utilizing zstream redup.

    The zstream redup command is provided a file containing a deduplicated send stream, and outputs an equivalent non-deduplicated send stream on standard output. Therefore, a deduplicated send stream can be received by running:
        # zstream redup DEDUP_STREAM_FILE | zfs receive …

    -v  Verbose. Print summary of converted records.

SEE ALSO
zfs(8), zfs-receive(8), zfs-send(8)